import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconCloudSuccess = (props: IconProps) => {
    return <Icon  id="IconCloudSuccess" {...props}>
        <path d="M7.46152 8.77472C7.70621 7.91832 8.03224 6.98611 8.68207 6.2613C9.29113 5.58196 10.2629 5 12 5C13.548 5 14.5657 5.43737 15.2403 5.99148C15.9264 6.5551 16.3318 7.30127 16.5385 8.02472C16.6496 8.41372 16.9841 8.69731 17.3858 8.74346L17.3876 8.74368L17.4094 8.74664C17.4315 8.74979 17.4683 8.75541 17.5176 8.76421C17.6164 8.78187 17.764 8.81205 17.9438 8.86032C18.3072 8.95789 18.7813 9.12385 19.2461 9.39503C20.1451 9.91942 21 10.8156 21 12.5C21 13.7595 20.5918 14.4551 20.1098 14.8568C19.5957 15.2852 18.8514 15.5 18 15.5C17.4477 15.5 17 15.9477 17 16.5C17 17.0523 17.4477 17.5 18 17.5C19.1486 17.5 20.4043 17.2148 21.3902 16.3932C22.4082 15.5449 23 14.2405 23 12.5C23 9.93442 21.6049 8.45558 20.2539 7.66747C19.5937 7.2824 18.9428 7.05773 18.4625 6.92874C18.3911 6.90958 18.3231 6.89241 18.2588 6.87705C17.9234 6.02592 17.3699 5.15262 16.5097 4.44602C15.4343 3.56263 13.952 3 12 3C9.73713 3 8.20887 3.79304 7.19293 4.9262C6.43542 5.77112 6.01051 6.75488 5.7389 7.5708C5.05313 7.68502 4.16661 7.951 3.345 8.4645C2.10958 9.23664 1 10.593 1 12.75C1 14.551 1.72207 15.8023 2.79579 16.5652C3.81473 17.2892 5.04398 17.5 6 17.5C6.55228 17.5 7 17.0523 7 16.5C7 15.9477 6.55228 15.5 6 15.5C5.28935 15.5 4.5186 15.3358 3.95421 14.9348C3.44459 14.5727 3 13.949 3 12.75C3 11.407 3.64042 10.6384 4.405 10.1605C5.22479 9.64813 6.16064 9.5 6.5 9.5C6.94648 9.5 7.33887 9.20402 7.46152 8.77472Z" />
        <path d="M16.7809 14.6247C17.1259 14.1935 17.056 13.5642 16.6247 13.2192C16.1934 12.8742 15.5641 12.9441 15.2191 13.3753L11.8564 17.5787L9.64018 15.7318C9.21591 15.3783 8.58534 15.4356 8.23178 15.8599C7.87821 16.2841 7.93554 16.9147 8.35981 17.2683L11.3598 19.7683C11.5662 19.9403 11.8332 20.022 12.1005 19.995C12.3678 19.968 12.613 19.8345 12.7809 19.6247L16.7809 14.6247Z" />
    </Icon>;
};

export default IconCloudSuccess;
